summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHenrik Brix Andersen <brix@gentoo.org>2006-02-15 18:40:21 +0000
committerHenrik Brix Andersen <brix@gentoo.org>2006-02-15 18:40:21 +0000
commitb78b52129a792b1100a78e625cbdb6b0508f77b8 (patch)
treecc073e61e300eed1e5a0593bb27062bdff2c922e /sys-apps/lm_sensors/files
parentVersion bump. (diff)
downloadgentoo-2-b78b52129a792b1100a78e625cbdb6b0508f77b8.tar.gz
gentoo-2-b78b52129a792b1100a78e625cbdb6b0508f77b8.tar.bz2
gentoo-2-b78b52129a792b1100a78e625cbdb6b0508f77b8.zip
Version bump. Includes fancontrol init script based on the work of Micha Pytasz, bug #98753.
(Portage version: 2.0.54)
Diffstat (limited to 'sys-apps/lm_sensors/files')
-rw-r--r--sys-apps/lm_sensors/files/digest-lm_sensors-2.10.01
-rw-r--r--sys-apps/lm_sensors/files/lm_sensors-2.10.0-fancontrol-init.d33
-rw-r--r--sys-apps/lm_sensors/files/lm_sensors-2.10.0-lm_sensors-init.d105
-rw-r--r--sys-apps/lm_sensors/files/lm_sensors-2.10.0-sensord-conf.d3
-rw-r--r--sys-apps/lm_sensors/files/lm_sensors-2.10.0-sensord-init.d33
-rw-r--r--sys-apps/lm_sensors/files/lm_sensors-2.10.0-sensors-detect-gentoo.patch128
6 files changed, 303 insertions, 0 deletions
diff --git a/sys-apps/lm_sensors/files/digest-lm_sensors-2.10.0 b/sys-apps/lm_sensors/files/digest-lm_sensors-2.10.0
new file mode 100644
index 000000000000..bc63ffac5577
--- /dev/null
+++ b/sys-apps/lm_sensors/files/digest-lm_sensors-2.10.0
@@ -0,0 +1 @@
+MD5 6a5327c9e291c5e2bef62e2277bce962 lm_sensors-2.10.0.tar.gz 879631
diff --git a/sys-apps/lm_sensors/files/lm_sensors-2.10.0-fancontrol-init.d b/sys-apps/lm_sensors/files/lm_sensors-2.10.0-fancontrol-init.d
new file mode 100644
index 000000000000..edd50f1bdf37
--- /dev/null
+++ b/sys-apps/lm_sensors/files/lm_sensors-2.10.0-fancontrol-init.d
@@ -0,0 +1,33 @@
+#!/sbin/runscript
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sys-apps/lm_sensors/files/lm_sensors-2.10.0-fancontrol-init.d,v 1.1 2006/02/15 18:40:21 brix Exp $
+
+CONFIG=/etc/fancontrol
+PID=/var/run/fancontrol.pid
+
+depend() {
+ after lm_sensors
+}
+
+checkconfig() {
+ if [ ! -f ${CONFIG} ]; then
+ eerror "Configuration file ${CONFIG} not found"
+ return 1
+ fi
+}
+
+start() {
+ checkconfig || return 1
+
+ ebegin "Starting fancontrol"
+ start-stop-daemon --start --quiet --background --pid-file ${PID} \
+ --exec /usr/sbin/fancontrol -- ${CONFIG}
+ eend ${?}
+}
+
+stop() {
+ ebegin "Stopping fancontrol"
+ start-stop-daemon --stop --pidfile ${PID}
+ eend ${?}
+}
diff --git a/sys-apps/lm_sensors/files/lm_sensors-2.10.0-lm_sensors-init.d b/sys-apps/lm_sensors/files/lm_sensors-2.10.0-lm_sensors-init.d
new file mode 100644
index 000000000000..78e40734b6b6
--- /dev/null
+++ b/sys-apps/lm_sensors/files/lm_sensors-2.10.0-lm_sensors-init.d
@@ -0,0 +1,105 @@
+#!/sbin/runscript
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sys-apps/lm_sensors/files/lm_sensors-2.10.0-lm_sensors-init.d,v 1.1 2006/02/15 18:40:21 brix Exp $
+
+checkconfig() {
+ if [ ! -f /etc/conf.d/lm_sensors ]; then
+ eerror "/etc/conf.d/lm_sensors does not exist, try running sensors-detect"
+ return 1
+ fi
+
+ if [ "${LOADMODULES}" = "yes" -a -f /proc/modules ]; then
+ if [ -z "${MODULE_0}" ]; then
+ eerror "MODULE_0 is not set in /etc/conf.d/lm_sensors, try running sensors-detect"
+ return 1
+ fi
+ fi
+}
+
+start() {
+ checkconfig || return 1
+
+ if [ "${LOADMODULES}" = "yes" -a -f /proc/modules ]; then
+ einfo "Loading lm_sensors modules..."
+
+ mount | grep sysfs &> /dev/null
+ if [ ${?} == 0 ]; then
+ if ! ( [ -e /sys/i2c ] || [ -e /sys/bus/i2c ] ); then
+ ebegin " Loading i2c-core"
+ modprobe i2c-core &> /dev/null
+ if [ ${?} != 0 ]; then
+ eerror " Could not load i2c-core!"
+ eend 1
+ fi
+ ( [ -e /sys/i2c ] || [ -e /sys/bus/i2c ] ) || return 1
+ eend 0
+ fi
+ elif ! [ -e /proc/sys/dev/sensors ]; then
+ ebegin " Loading i2c-proc"
+ modprobe i2c-proc &> /dev/null
+ if [ ${?} != 0 ]; then
+ eerror " Could not load i2c-proc!"
+ eend 1
+ fi
+ [ -e /proc/sys/dev/sensors ] || return 1
+ eend 0
+ fi
+
+ i=0
+ while true; do
+ module=`eval echo '$'MODULE_${i}`
+ module_args=`eval echo '$'MODULE_${i}_ARGS`
+ if [ -z "${module}" ]; then
+ break
+ fi
+ ebegin " Loading ${module}"
+ modprobe ${module} ${module_args} &> /dev/null
+ eend $?
+ i=$((i+1))
+ done
+ fi
+
+ if [ "${INITSENSORS}" = "yes" ]; then
+ if ! [ -f /etc/sensors.conf ]; then
+ eerror "/etc/sensors.conf does not exist!"
+ return 1
+ fi
+
+ ebegin "Initializing sensors"
+ /usr/bin/sensors -s &> /dev/null
+ eend ${?}
+ fi
+}
+
+stop() {
+ checkconfig || return 1
+
+ if [ "${LOADMODULES}" = "yes" -a -f /proc/modules ]; then
+ einfo "Unloading lm_sensors modules..."
+
+ # find the highest possible MODULE_ number
+ i=0
+ while true; do
+ module=`eval echo '$'MODULE_${i}`
+ if [ -z "${module}" ] ; then
+ break
+ fi
+ i=$((i+1))
+ done
+
+ while [ ${i} -gt 0 ]; do
+ i=$((i-1))
+ module=`eval echo '$'MODULE_${i}`
+ ebegin " Unloading ${module}"
+ rmmod ${module} &> /dev/null
+ eend $?
+ done
+
+ if [ -e /proc/sys/dev/sensors ] ; then
+ ebegin " Unloading i2c-proc"
+ rmmod i2c-proc &> /dev/null
+ eend $?
+ fi
+ fi
+}
diff --git a/sys-apps/lm_sensors/files/lm_sensors-2.10.0-sensord-conf.d b/sys-apps/lm_sensors/files/lm_sensors-2.10.0-sensord-conf.d
new file mode 100644
index 000000000000..d82841aebd4a
--- /dev/null
+++ b/sys-apps/lm_sensors/files/lm_sensors-2.10.0-sensord-conf.d
@@ -0,0 +1,3 @@
+# Extra options to pass to the sensord daemon,
+# see sensord(8) for more information
+SENSORD_OPTIONS=""
diff --git a/sys-apps/lm_sensors/files/lm_sensors-2.10.0-sensord-init.d b/sys-apps/lm_sensors/files/lm_sensors-2.10.0-sensord-init.d
new file mode 100644
index 000000000000..0e6c661d9d25
--- /dev/null
+++ b/sys-apps/lm_sensors/files/lm_sensors-2.10.0-sensord-init.d
@@ -0,0 +1,33 @@
+#!/sbin/runscript
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sys-apps/lm_sensors/files/lm_sensors-2.10.0-sensord-init.d,v 1.1 2006/02/15 18:40:21 brix Exp $
+
+CONFIG=/etc/sensors.conf
+
+depend() {
+ need logger
+ use lm_sensors
+}
+
+checkconfig() {
+ if [ ! -f ${CONFIG} ]; then
+ eerror "Configuration file ${CONFIG} not found"
+ return 1
+ fi
+}
+
+start() {
+ checkconfig || return 1
+
+ ebegin "Starting sensord"
+ start-stop-daemon --start --exec /usr/sbin/sensord \
+ -- --config-file ${CONFIG} ${SENSORD_OPTIONS}
+ eend ${?}
+}
+
+stop() {
+ ebegin "Stopping sensord"
+ start-stop-daemon --stop --pidfile /var/run/sensord.pid
+ eend ${?}
+}
diff --git a/sys-apps/lm_sensors/files/lm_sensors-2.10.0-sensors-detect-gentoo.patch b/sys-apps/lm_sensors/files/lm_sensors-2.10.0-sensors-detect-gentoo.patch
new file mode 100644
index 000000000000..bb624cc9fbb5
--- /dev/null
+++ b/sys-apps/lm_sensors/files/lm_sensors-2.10.0-sensors-detect-gentoo.patch
@@ -0,0 +1,128 @@
+diff -urp lm_sensors-2.10.0/prog/detect/sensors-detect lm_sensors-2.10.0-sensors-detect-gentoo/prog/detect/sensors-detect
+--- lm_sensors-2.10.0/prog/detect/sensors-detect 2006-02-15 02:46:49.000000000 +0100
++++ lm_sensors-2.10.0-sensors-detect-gentoo/prog/detect/sensors-detect 2006-02-15 18:43:41.000000000 +0100
+@@ -26,6 +26,9 @@
+ # each be put in a separate file, using modules and packages. That is beyond
+ # me.
+
++# Gentoo specific modifications based on a patch from Rudo Thomas
++# <thomr9am@ss1000.ms.mff.cuni.cz>
++
+ require 5.004;
+
+ use strict;
+@@ -5227,39 +5230,46 @@ sub main
+ "I will now generate the commands needed to load the I2C modules.\n";
+
+ my ($modprobes, $configfile) = generate_modprobes 1; # 1 == prefer ISA
++ print "\nIf you want to load the modules at startup, generate a config file\n",
++ "below and make sure lm_sensors gets started at boot time; e.g\n",
++ "\$ rc-update add lm_sensors default\n";
+ print "\nTo make the sensors modules behave correctly, add these lines to\n",
+- "$modules_conf:\n\n";
++ "/etc/modules.d/lm_sensors and run modules-update:\n\n";
+ print "#----cut here----\n";
+ print $configfile;
+- print "#----cut here----\n";
+- print "\nTo load everything that is needed, add this to some /etc/rc* ",
+- "file:\n\n";
+- print "#----cut here----\n";
+- print $modprobes;
+- print "# sleep 2 # optional\n",
+- "/usr/local/bin/sensors -s # recommended\n";
+- print "#----cut here----\n";
++ print "#----end cut here----\n";
+ print "\nWARNING! If you have some things built into your kernel, the list above\n",
+ "will contain too many modules. Skip the appropriate ones! You really should\n",
+ "try these commands right now to make sure everything is working properly.\n",
+ "Monitoring programs won't work until it's done.\n";
+
+- my $have_sysconfig = -d '/etc/sysconfig';
+- print "\nDo you want to generate /etc/sysconfig/lm_sensors? (".
+- ($have_sysconfig?"YES/no":"yes/NO")."): ";
+- if ($> != 0) {
+- print "\nAs you are not root, we shall skip this step.\n";
+- } else {
+- $_ = <STDIN>;
+- if (($have_sysconfig and not m/^\s*[Nn]/) or m/^\s*[Yy]/) {
+- unless ($have_sysconfig) {
+- mkdir '/etc/sysconfig', 0777
+- or die "Sorry, can't create /etc/sysconfig ($!)?!?";
+- }
+- open(local *SYSCONFIG, ">/etc/sysconfig/lm_sensors")
+- or die "Sorry, can't create /etc/sysconfig/lm_sensors ($!)?!?";
+- print SYSCONFIG <<'EOT';
+-# /etc/sysconfig/sensors - Defines modules loaded by /etc/rc.d/init.d/lm_sensors
++
++ print "To load everything that is needed, execute the commands below...";
++
++ print "\n\n#----cut here----\n";
++ print $modprobes;
++ print "# sleep 2 # optional\n",
++ "/usr/bin/sensors -s # recommended\n";
++ print "#----end cut here----\n";
++
++ my $have_config = -f '/etc/conf.d/lm_sensors';
++ print "\nDo you want to ".($have_config?"overwrite":"generate").
++ " /etc/conf.d/lm_sensors? Enter s to specify other file name?\n",
++ " (".($have_config?"yes/NO":"YES/no")."/s): ";
++ my $reply = <STDIN>;
++
++ if (($have_config and $reply =~ /^\s*[Yy]/) or
++ (not $have_config and not $reply =~ /^\s*[Nn]/) or
++ $reply =~ /^\s*[Ss]/) {
++ my $filename = "/etc/conf.d/lm_sensors";
++ if ($reply =~ /^\s*[Ss]/) {
++ print "Specify the file to store the configuration to: ";
++ $filename = <STDIN>;
++ }
++ open(SYSCONFIG, ">".$filename)
++ or die "Sorry, can't create $filename ($!).";
++ print SYSCONFIG <<'EOT';
++# /etc/conf.d/sensors - Defines modules loaded by /etc/init.d/lm_sensors
+ # Copyright (c) 1998 - 2001 Frodo Looijaard <frodol@dds.nl>
+ #
+ # This program is free software; you can redistribute it and/or modify
+@@ -5280,18 +5290,27 @@ sub main
+ # See also the lm_sensors homepage at:
+ # http://www2.lm-sensors.nu/~lm78/index.html
+ #
+-# This file is used by /etc/rc.d/init.d/lm_sensors and defines the modules to
+-# be loaded/unloaded. This file is sourced into /etc/rc.d/init.d/lm_sensors.
++# This file is used by /etc/init.d/lm_sensors and defines the modules to
++# be loaded/unloaded. This file is sourced into /etc/init.d/lm_sensors.
+ #
+ # The format of this file is a shell script that simply defines the modules
+ # in order as normal variables with the special names:
+ # MODULE_0, MODULE_1, MODULE_2, etc.
+ #
++# Please note that the numbers in MODULE_X must start at 0 and increase in
++# steps of 1. Any number that is missing will make the init script skip the
++# rest of the modules. Use MODULE_X_ARGS for arguments.
++#
+ # List the modules that are to be loaded for your system
+ #
+ EOT
+ print SYSCONFIG
+- "# Generated by sensors-detect on " . scalar localtime() . "\n";
++ "# Generated by sensors-detect on " . scalar localtime() . "\n\n";
++ print SYSCONFIG
++ "# Load modules at startup\n".
++ "LOADMODULES=yes\n\n".
++ "# Initialize sensors at startup\n".
++ "INITSENSORS=yes\n\n";
+ my @modules = grep /^modprobe /, split "\n", $modprobes;
+ my $i = 0;
+ my $sysconfig = "";
+@@ -5301,9 +5320,7 @@ EOT
+ $i++;
+ }
+ print SYSCONFIG $sysconfig;
+- print "Copy prog/init/lm_sensors.init to /etc/rc.d/init.d/lm_sensors\n";
+- print "for initialization at boot time.\n";
+- }
++ print "Done.\n";
+ }
+ }
+
+Only in lm_sensors-2.10.0-sensors-detect-gentoo/prog/detect: sensors-detect~